package tw

type ParseError struct {
	Field string
	Str   string
	Err   error
}

func (e ParseError) Error() string {
	return e.Field + ": parsing '" + e.Str + "': " + e.Err.Error()
}

func (e ParseError) Unwrap() error {
	return e.Err
}
